libqt5-qtbase-devel-5.9.4-lp150.11.1.x86_64.rpm


Advertisement

Description

libqt5-qtbase-devel - Development files for the Qt5 base library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename libqt5-qtbase-devel-5.9.4-lp150.11.1.x86_64.rpm
Package name libqt5-qtbase-devel
Package version 5.9.4
Package release lp150.11.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/X11
Homepage https://www.qt.io
License GPL-3.0 or SUSE-LGPL-2.1-with-digia-exception-1.1
Maintainer -
Download size 102.26 KB
Installed size 234.82 KB
You need this package if you want to compile programs with Qt. It
contains the "Qt Crossplatform Development Kit". It does contain
include files and development applications like GUI designers,
translator tools and code generators.

Alternatives

Package Version Architecture Repository
libqt5-qtbase-devel-5.12.3-lp150.1.1.x86_64.rpm 5.12.3 x86_64 KDE 5
libqt5-qtbase-devel-5.12.3-ku.1.1.x86_64.rpm 5.12.3 x86_64 KDE Unstable
libqt5-qtbase-devel-5.9.4-lp150.5.4.1.x86_64.rpm 5.9.4 x86_64 openSUSE Update Oss
libqt5-qtbase-devel-5.9.4-lp150.4.8.x86_64.rpm 5.9.4 x86_64 openSUSE Oss
libqt5-qtbase-devel - - -

Requires

Name Value
libQt5Concurrent-devel = 5.9.4
libQt5Core-devel = 5.9.4
libQt5DBus-devel = 5.9.4
libQt5Gui-devel = 5.9.4
libQt5Network-devel = 5.9.4
libQt5OpenGL-devel = 5.9.4
libQt5PlatformHeaders-devel = 5.9.4
libQt5PrintSupport-devel = 5.9.4
libQt5Sql-devel = 5.9.4
libQt5Test-devel = 5.9.4
libQt5Widgets-devel = 5.9.4
libQt5Xml-devel = 5.9.4
libqt5-qtbase-common-devel -

Provides

Name Value
libqt5-qtbase-devel = 5.9.4-lp150.11.1
libqt5-qtbase-devel(x86-64) = 5.9.4-lp150.11.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libqt5-qtbase-devel-5.9.4-lp150.11.1.x86_64.rpm
Source Package libqt5-qtbase-5.9.4-lp150.11.1.src.rpm

Install Howto

Install libqt5-qtbase-devel rpm package:

# zypper install libqt5-qtbase-devel

Files

Path
/usr/share/doc/packages/libqt5-qtbase-devel/LGPL_EXCEPTION.txt
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.FDL
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.GPL2
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.GPL3
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.GPL3-EXCEPT
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.GPLv3
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.LGPL3
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.LGPLv21
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.LGPLv3
/usr/share/doc/packages/libqt5-qtbase-devel/LICENSE.PREVIEW.COMMERCIAL
/usr/share/doc/packages/libqt5-qtbase-devel/config_help.txt

Changelog

2019-03-27 - Max Lin <mlin@suse.com>
- Add libqt5-fix-crash-in-qppmhandler-for-certain-malformed-image.patch
* The ppm format specifies that the maximum color value field must be less
than 65536. The handler did not enforce this, leading to potentional
overflow when the value was used in 16 bits context. (bsc#1130246, CVE-2018-19872)
2019-03-22 - Max Lin <mlin@suse.com>
- Update 0001-xcb-prevent-crash-with-pixmap-cursors-on-XRender-less-system.patch
* Use QT_CONFIG(xcb_render) for Qt >= 5.9, XCB_USE_RENDER has been
obsoleted. (bsc#1108889)
2019-03-19 - Fabian Vogt <fvogt@suse.com>
- Add patch to fix remembering non-local locations in the file dialog
(boo#1129662):
* 0001-Fix-native-QFileDialog-initial-selection-for-remote-.patch
- Add patch to fix DoS when opening crafted .gif files
(bsc#1118597, CVE-2018-19870)
* 0001-Check-for-QImage-allocation-failure-in-qgifhandler.patch
2019-01-05 - Wolfgang Bauer <wbauer@tmo.at>
- Add Revert-Set-sharedPainter-correctly-for-QGraphicsEffect.patch
(boo#1120639)
- Order the patches from 5.9 branch correctly
2018-12-11 - Max Lin <mlin@suse.com>
- Add qtbase-Fix-possible-heap-corruption-in-QXmlStream.patch
* The value of tos at the check might already be on the last element,
triggering stack expansion on the second last element is too late.
This patch fixes this possible heap corruption. (bsc#1118595, CVE-2018-15518)
- Add qtbase-bmp-image-handler-check-for-out-of-range-image-size.patch
* Make the decoder fail early to avoid spending time and memory on
attempting to decode a corrupt image file. (bsc#1118596, CVE-2018-19873)
2018-09-27 - Max Lin <mlin@suse.com>
- Add patch to fix fails to load pixmap cursors on XRender less system
(bsc#1108889)
* 0001-xcb-prevent-crash-with-pixmap-cursors-on-XRender-less-system.patch
2018-09-21 - mischa.salle@gmail.com
- Add patch to fix boo#1096328, printer settings not remembered:
* 0001-Unix-print-dialog-Properly-initialize-duplex.patch
2018-07-06 - fvogt@suse.com
- Add patch to fix loading libGL dynamically (boo#1099874):
* 0001-glx-Fix-loading-OpenGL-library-when-libGL.so-symlink.patch
2018-03-01 - alarrosa@suse.com
- Rework 0001-Add-remote-print-queue-support.patch so now the remote
print queue discovery is disabled by default and is only enabled when
the QT_ENABLE_PRINTER_DISCOVERY environment variable is set
(QT_DISABLE_PRINTER_DISCOVERY is no longer used) (fixes boo#1064872)
2018-02-23 - fabian@ritter-vogt.de
- Enable journald support (boo#1050461)

See Also

Package Description
libqt5-qtbase-examples-32bit-5.9.4-lp150.11.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-examples-32bit-5.9.4-lp150.5.4.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-examples-5.9.4-lp150.11.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-examples-5.9.4-lp150.5.4.1.x86_64.rpm Qt5 base examples
libqt5-qtbase-platformtheme-gtk3-5.9.4-lp150.11.1.x86_64.rpm Qt 5 gtk3 plugin
libqt5-qtbase-platformtheme-gtk3-5.9.4-lp150.5.4.1.x86_64.rpm Qt 5 gtk3 plugin
libqt5-qtbase-private-headers-devel-5.9.4-lp150.11.1.noarch.rpm Non-ABI stable experimental API
libqt5-qtbase-private-headers-devel-5.9.4-lp150.5.4.1.noarch.rpm Non-ABI stable experimental API
libqt5-qtdeclarative-devel-32bit-5.9.4-lp150.2.3.1.x86_64.rpm Qt Development Kit
libqt5-qtdeclarative-devel-5.9.4-lp150.2.3.1.x86_64.rpm Qt Development Kit
libqt5-qtdeclarative-examples-5.9.4-lp150.2.3.1.x86_64.rpm Qt5 quick/qml examples
libqt5-qtdeclarative-private-headers-devel-5.9.4-lp150.2.3.1.noarch.rpm Non-ABI stable experimental API
libqt5-qtdeclarative-tools-5.9.4-lp150.2.3.1.x86_64.rpm Qt 5 Declarative Tools
libqt5-qtimageformats-32bit-5.9.4-lp150.2.3.2.x86_64.rpm Qt 5 Image Format Plugins
libqt5-qtimageformats-5.9.4-lp150.2.3.2.x86_64.rpm Qt 5 Image Format Plugins
Advertisement
Advertisement